> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outlit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get signal options

> Show signal schemas, condition types, and default signal catalog keys. Read-only.



## OpenAPI

````yaml /openapi.json get /api/signals/options
openapi: 3.1.0
info:
  title: Outlit API
  summary: Public Outlit Platform and Ingest APIs.
  description: >-
    Canonical OpenAPI specification for the public Outlit API surfaces
    documented at docs.outlit.ai.
  version: 1.0.0
servers:
  - url: https://app.outlit.ai
security:
  - bearerAuth: []
tags:
  - name: Platform API
    description: >-
      Authenticated API key routes for customer intelligence tools and
      integration management.
  - name: Ingest API
    description: Public-key event ingestion routes used by Outlit SDKs.
paths:
  /api/signals/options:
    get:
      tags:
        - Platform API
      summary: Get signal options
      description: >-
        Show signal schemas, condition types, and default signal catalog keys.
        Read-only.
      operationId: getSignalOptions
      responses:
        '200':
          description: Signal options were returned.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignalOptionsCommandSuccess'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          description: >-
            The API key is valid but does not have the required agent read
            scope.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandErrorEnvelope'
        '500':
          $ref: '#/components/responses/InternalServerError'
        '503':
          description: The platform could not get signal options.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommandErrorEnvelope'
components:
  schemas:
    SignalOptionsCommandSuccess:
      type: object
      required:
        - ok
        - commandId
        - commandVersion
        - correlationId
        - result
      properties:
        ok:
          type: boolean
          const: true
        commandId:
          type: string
          const: signal.options
        commandVersion:
          type: integer
          const: 1
        correlationId:
          type: string
        result:
          allOf:
            - $ref: '#/components/schemas/CommandResultBase'
            - type: object
              properties:
                operationId:
                  type: string
                  const: signal.options
                data:
                  $ref: '#/components/schemas/SignalOptionsData'
      additionalProperties: false
    CommandErrorEnvelope:
      type: object
      required:
        - ok
        - commandId
        - commandVersion
        - error
      properties:
        ok:
          type: boolean
          const: false
        commandId:
          type: string
        commandVersion:
          type: integer
          minimum: 1
        error:
          type: object
          required:
            - code
            - message
            - correlationId
            - retryable
          properties:
            code:
              type: string
              enum:
                - validation_failed
                - authorization_denied
                - conflict
                - not_found
                - rate_limited
                - transient_failure
            message:
              type: string
            correlationId:
              type: string
            retryable:
              type: boolean
            details:
              type: object
              additionalProperties: true
          additionalProperties: false
      additionalProperties: false
    CommandResultBase:
      type: object
      required:
        - operationId
        - status
        - resources
        - data
        - warnings
      properties:
        operationId:
          type: string
        status:
          type: string
          const: completed
        resources:
          type: array
          items:
            $ref: '#/components/schemas/CommandResource'
        data:
          type: object
          additionalProperties: true
        warnings:
          type: array
          items:
            type: string
        auditId:
          type: string
      additionalProperties: false
    SignalOptionsData:
      type: object
      required:
        - conditionTypes
        - signalKinds
        - catalog
      properties:
        conditionTypes:
          type: array
          items:
            $ref: '#/components/schemas/SignalConditionTypeOption'
        signalKinds:
          type: array
          items:
            $ref: '#/components/schemas/SignalKindOption'
        catalog:
          type: array
          items:
            $ref: '#/components/schemas/SignalCatalogOption'
      additionalProperties: false
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ValidationIssue'
      additionalProperties: true
    CommandResource:
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
        id:
          type: string
      additionalProperties: false
    SignalConditionTypeOption:
      type: object
      required:
        - id
        - label
        - triggerType
      properties:
        id:
          $ref: '#/components/schemas/SignalConditionId'
        label:
          type: string
        triggerType:
          $ref: '#/components/schemas/AutomationTriggerType'
      additionalProperties: false
    SignalKindOption:
      oneOf:
        - type: object
          required:
            - kind
            - description
            - schemaFormat
            - createSchema
          properties:
            kind:
              type: string
              const: EVENT_MATCH
            description:
              type: string
            schemaFormat:
              type: string
              const: json-schema-2020-12
            createSchema:
              $ref: '#/components/schemas/JsonSchemaObject'
          additionalProperties: false
        - type: object
          required:
            - kind
            - description
            - schemaFormat
            - createSchema
            - detectionTypes
          properties:
            kind:
              type: string
              const: EVENT_PATTERN
            description:
              type: string
            schemaFormat:
              type: string
              const: json-schema-2020-12
            createSchema:
              $ref: '#/components/schemas/JsonSchemaObject'
            detectionTypes:
              type: array
              items:
                $ref: '#/components/schemas/SignalDetectionTypeOption'
          additionalProperties: false
    SignalCatalogOption:
      type: object
      required:
        - key
        - label
        - conditionId
        - eventName
        - eventChannel
        - state
        - selectable
        - statusLabel
        - materializedSignalId
      properties:
        key:
          type: string
        label:
          type: string
        conditionId:
          $ref: '#/components/schemas/SignalConditionId'
        eventName:
          type:
            - string
            - 'null'
        eventChannel:
          type:
            - string
            - 'null'
        state:
          type: string
        selectable:
          type: boolean
        statusLabel:
          type:
            - string
            - 'null'
        materializedSignalId:
          type:
            - string
            - 'null'
      additionalProperties: false
    ValidationIssue:
      type: object
      required:
        - path
        - message
      properties:
        path:
          type: array
          items:
            type:
              - string
              - number
        message:
          type: string
      additionalProperties: false
    SignalConditionId:
      type: string
      enum:
        - schedule
        - event_happens
        - activity_spikes
        - activity_stops
        - customer_activity_threshold
        - customer_activity_drop
        - related_user_inactivity
    AutomationTriggerType:
      type: string
      enum:
        - SIGNAL_OCCURRENCE
        - SCHEDULE
    JsonSchemaObject:
      type: object
      additionalProperties: true
    SignalDetectionTypeOption:
      type: object
      required:
        - type
        - schemaFormat
        - definitionSchema
      properties:
        type:
          $ref: '#/components/schemas/SignalDetectionType'
        schemaFormat:
          type: string
          const: json-schema-2020-12
        definitionSchema:
          $ref: '#/components/schemas/JsonSchemaObject'
      additionalProperties: false
    SignalDetectionType:
      type: string
      enum:
        - event_occurred
        - event_count_threshold
        - event_absence
        - customer_activity_threshold
        - customer_activity_drop
        - related_user_inactivity
  responses:
    Unauthorized:
      description: Invalid or missing API key.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Invalid credentials
    InternalServerError:
      description: Internal server error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Outlit API key using the Bearer ok_... format.

````